body {
    background-image: linear-gradient(#FCF6D4, #D8CC90);
    margin: 0;
}

header {
    background-color: white;
    margin: 0;
    padding: 1em 0 0 0;
}

main {
    margin: 0 10%;
}

h1, h2, h3 {
    color: #877B44;
}

img#logo {
    width: 150px;
}

h1 {
    font-family: "Gill Sans", serif;
    font-size: xxx-large;
    color: blue;
    margin: 0.3em;
}

h2 {
    font-size: xxx-large;
    font-family: Impact, sans-serif;
}

h3 {
    font-size: xx-large;
}

h3, p, button {
    font-family: Rockwell, serif;
}

p {
    font-size: larger;
}

.centered {
    text-align: center;
}

button {
    font-size: x-large;
    background-image: linear-gradient(#807440, #514822);
    border: none;
    color: white;
    padding: 0.5em;
    cursor:pointer;
}

.buttons {
    text-align: center;
    margin-top: 1em;
    margin-bottom: 1em;
}

div#gradient {
    padding: 1em;
    background-image: linear-gradient(white, #F8F6E9, #DBCD8A);
}

a:link { text-decoration: none; }
a:visited { text-decoration: none; }
a:hover { text-decoration: none; }
a:active { text-decoration: none; }

img.book-cover {
    width: 100%;
    box-shadow: 0.5em 0.1em 1.5em;
}

section {
    margin-top: 2em;
    padding: 3em;
    text-align: justify;
}

@media screen and (min-width: 1000px) {
    main {
        margin: 0 auto;
        width: fit-content;
    }

    section {
        display: grid;
        grid-gap: 3em;
    }

    section.layout-a {
        grid-template-areas: "desc img";
    }

    section.layout-b {
        grid-template-areas: "img desc";
    }

    div.description {
        grid-area: desc;
        max-width: 550px;
    }

    div.book {
        grid-area: img;
    }

    img.book-cover {
        max-width: 400px;
    }
}

@font-face {
    font-family: "Gill Sans";
    src: url("assets/fonts/GILSANUB.TTF") format("truetype");
}

@font-face {
    font-family: "Impact";
    src: url("assets/fonts/IMPACT.TTF") format("truetype");
}

@font-face {
    font-family: "Rockwell";
    src: url("assets/fonts/ROCK.TTF") format("truetype");
}